Name:           python-pyaml
Version:        24.4.0
Release:        %autorelease
Summary:        PyYAML-based module to produce a bit more pretty and readable YAML-serialized data

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        LicenseRef-Fedora-Public-Domain
URL:            https://github.com/mk-fg/pretty-yaml
Source:         %{pypi_source pyaml}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyaml' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyaml
Summary:        %{summary}

%description -n python3-pyaml %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pyaml anchors


%prep
%autosetup -p1 -n pyaml-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x anchors


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-pyaml -f %{pyproject_files}


%changelog
%autochangelog